Bug 223219 - Samba subprocess crashing (Signal 11)
Samba subprocess crashing (Signal 11)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 09:48 EST by Daniel Goß
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 08:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Goß 2007-01-18 09:48:49 EST
Description of problem:
Sometimes a samba subprocess is terminated with signal 11. The locks owned by 
this subprocess are not always freed and the users are beginning to complain 
that files are staying locked even if they shutdown their workstation. 
Restarting the whole samba service fixes this problem but is not a solution 
during the day.

The Samba-server logs the following message:

[2007/01/18 14:50:39, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2007/01/18 14:50:39, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 11 in pid 18097 (3.0.23c-2)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2007/01/18 14:50:39, 0] lib/fault.c:fault_report(44)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2007/01/18 14:50:39, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2007/01/18 14:50:39, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 18097): internal error
[2007/01/18 14:50:39, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 19 stack frames:
   #0 smbd(log_stack_trace+0x2d) [0x34e25d]
   #1 smbd(smb_panic+0x5d) [0x34e38d]
   #2 smbd [0x339d7a]
   #3 [0x5d2420]
   #4 smbd(create_token_from_username+0x7c4) [0x3964f4]
   #5 smbd(user_in_group_sid+0x7c) [0x396a6c]
   #6 smbd [0x1d975f]
   #7 smbd [0x1da183]
   #8 smbd [0x1dbac1]
   #9 smbd(set_nt_acl+0x324) [0x1dd414]
   #10 smbd(vfswrap_fset_nt_acl+0x2b) [0x1d3f2b]
   #11 smbd [0x1971b5]
   #12 smbd [0x19b99f]
   #13 smbd(reply_nttrans+0x6b9) [0x19e029]
   #14 smbd [0x1e1a70]
   #15 smbd(smbd_process+0x7ab) [0x1e2b9b]
   #16 smbd(main+0xbd0) [0x3fc8e0]
   #17 /lib/libc.so.6(__libc_start_main+0xdc) [0x7fff2c]
   #18 smbd [0x16cfb1]

Some searching on the net reveals that this issue should be fixed in Version 
3.0.23d. 
(http://groups.google.com/group/linux.samba/browse_thread/thread/5ee1c9f2ce51322
1/5f43edd3342ae5be)


Version-Release number of selected component (if applicable):
3.0.23c-2 under Fedora Core 6


How reproducible:
I don't know. I pops up three to twenty times a day.


Expected solution:
Is it possible to update the Samba version shiped with FC6 to 3.0.23d. This 
would fix this issue.
Comment 1 Simo Sorce 2007-03-23 17:22:19 EDT
Can you confirm this is fixed with 3.0.24-1.fc6 release?
Comment 2 Daniel Goß 2007-03-26 03:35:43 EDT
Yes, this bug is fixed in the 3.0.24-1 release.
Comment 3 Simo Sorce 2007-03-26 08:20:10 EDT
Thank you.

Note You need to log in before you can comment on or make changes to this bug.